Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.labs.taskqueue
Class TaskHandle

    java.lang.Object
      com.google.appengine.api.labs.taskqueue.TaskHandle

All Implemented Interfaces:
  java.io.Serializable

    public final class TaskHandle

extends java.lang.Object
implements java.io.Serializable

Created from `Queue.add(TaskOptions)`. Contains the task name (generated if otherwise unspecified), task ETA (computed if not specified) and queue name. The queue name and task name uniquely identify the task for an application.

See Also:
  Serialized Form

Constructor Summary
`TaskHandle(java.lang.String name, java.lang.String queueName, long etaMillis)`

Method Summary
`long` | `getEtaMillis()` Returns a time comparable to `System.currentTimeMillis()` when this task is scheduled for execution.
`java.lang.String` | `getName()` Returns the name of this task.
`java.lang.String` | `getQueueName()` Returns the name of the queue that this task was submitted into.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskHandle

    public TaskHandle(java.lang.String name,
                      java.lang.String queueName,
                      long etaMillis)

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this task. This may have been generated by a call to `Queue.add()` is not otherwise specified.

### getQueueName

    public java.lang.String getQueueName()

  Returns the name of the queue that this task was submitted into.

### getEtaMillis

    public long getEtaMillis()

  Returns a time comparable to `System.currentTimeMillis()` when this task is scheduled for execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD